Skip to content

[GET] Task Status List⚓︎

Use this request to get information about all the tasks in your Organization (or a filtered subset), including their processing statuses and auditing information.

Task Status List⚓︎

GET/api/v1.0/external/sdtask/statuslist?startDate=2022-03-16T16:59:55Z&endDate=2022-04-05T16:59:55Z

Warning

Heavy Request

This is a heavy request as it can potentially query a very high number of Tasks. Consider using the Paginated request instead if you expect to retrieve a lot of Tasks at once.

Query Parameters⚓︎

Name Type Description
startDate datetime (optional) Include tasks created after this date. Required if endDate is not specified.
endDate datetime (optional) Include tasks created before this date. Required if startDate is not specified.
taskStatus TaskStatus (optional) The status of the tasks to filter for. To filter with more than one taskStatus value, simply add another entry to the query string, i.e ?taskStatus=30&taskStatus=31 to filter on status 30 and 31.
integrationStatus IntegrationStatus (optional) The integration status of the tasks to filter for. To filter with more than one integrationStatus value, simply add another entry to the query string, i.e ?integrationStatus=1&integrationStatus=2 to filter on status 1 and 2.
externalIntegrationStatus string(optional) The external integration status of the tasks to filter for. Defaults to never for all tasks, unless updated by clients using the PATCH External Integration Status endpoint.

See External Integration Status for more reference about this status.
workspaceId integer (optional) The ID of the workspace to filter for. To filter with more than one workspaceId value, simply add another entry to the query string, i.e ?workspaceId=1&workspaceId=2 to filter on workspace ID 1 and 2.
sort string (optional) name of property to sort result values. Sorts by createdOn by default.

At least one of startDate or endDate must be specified.

Example Request⚓︎

curl --location 'https://cloud.smartdocumentor.net/api/v1.0/external/sdtask/statuslist?startDate=2022-03-16T16%3A59%3A55Z&endDate=2022-04-05T16%3A59%3A55Z' --header 'Authorization: Bearer {your access token here}'
var client = new HttpClient();

var accessToken = "your access token here";
var request = new HttpRequestMessage(HttpMethod.Get, "https://cloud.smartdocumentor.net/api/v1.0/external/sdtask/statuslist?startDate=2022-03-16T16:59:55Z&endDate=2022-04-05T16:59:55Z");

request.Headers.Add("Authorization", $"Bearer {accessToken}");

var response = await client.SendAsync(request);

response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());
import requests

url = "https://cloud.smartdocumentor.net/api/v1.0/external/sdtask/statuslist?startDate=2022-03-16T16:59:55Z&endDate=2022-04-05T16:59:55Z"
access_token = "your access token here"

payload = {}
headers = {
'Authorization': f'Bearer {access_token}'
}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)
const myHeaders = new Headers();
const accessToken = "your access token here";
myHeaders.append("Authorization", `Bearer ${accessToken}`);

const requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};

fetch("https://cloud.smartdocumentor.net/api/v1.0/external/sdtask/statuslist?startDate=2022-03-16T16:59:55Z&endDate=2022-04-05T16:59:55Z", requestOptions)
    .then(response => response.text())
    .then(result => console.log(result))
    .catch(error => console.log('error', error));

Responses⚓︎

[
    {
        "taskId": 49,
        "workspaceId": 1,
        "batchId": null,
        "taskNumber": null,
        "externalId": null,
        "displayName": "Task display name",
        "description": "Task description",
        "createdOn": "2022-03-28T14:28:56Z",
        "taskStatus": 4,
        "integrationStatus": 1,
        "taskStatusText": "InReview",
        "integrationStatusText": "Never",
        "totalPages": 10,
        "preProcessingStartedOn": "2022-03-16T16:59:55Z",
        "externalIntegrationStatus": "never"
    },
    {
        "taskId": 50,
        "workspaceId": 1,
        "batchId": 1,
        "taskNumber": 1,
        "externalId": null,
        "displayName": "Task display name",
        "description": "Task description",
        "createdOn": "2022-03-29T20:46:59Z",
        "taskStatus": 4,
        "integrationStatus": 1,
        "taskStatusText": "InReview",
        "integrationStatusText": "Never",
        "totalPages": 33,
        "restartCount": 1,
        "preProcessingStartedOn": "2022-03-16T16:59:55Z",
        "externalIntegrationStatus": "never"
    },
    {
        "taskId": 47,
        "workspaceId": 1,
        "batchId": 1,
        "taskNumber": 1,
        "externalId": null,
        "displayName": "Task display name",
        "description": "Task description",
        "createdOn": "2022-03-28T08:26:47Z",
        "taskStatus": 4,
        "integrationStatus": 1,
        "taskStatusText": "InReview",
        "integrationStatusText": "Never",
        "totalPages": 1,
        "preProcessingStartedOn": "2022-03-16T16:59:55Z",
        "externalIntegrationStatus": "never"
    },
    {
        "taskId": 51,
        "workspaceId": 1,
        "batchId": null,
        "taskNumber": null,
        "externalId": null,
        "displayName": "Task display name",
        "description": "Task description",
        "createdOn": "2022-03-30T07:41:06Z",
        "taskStatus": 3,
        "integrationStatus": 1,
        "taskStatusText": "ToReview",
        "integrationStatusText": "Never",
        "totalPages": 3,
        "preProcessingStartedOn": "2022-03-16T16:59:55Z",
        "externalIntegrationStatus": "never"
    }
]

Response Body GetTaskStatusResponse[]

This request returns a list of items of the GetTaskStatusResponse type.

Response body has no content.

Info

Note Returned when a startDate or endDate are not specified.